import Model from "../Data/Model.js";
import RootModel from "./RootModel.js";
export interface IBaseModelOptions {
    root: RootModel;
    parent: any;
    data: any;
}
export default class BaseModel extends Model {
    private m_root;
    constructor(options: IBaseModelOptions);
    get root(): RootModel;
}
